# Class AccessibleTextSequence

java.lang.Object
javax.accessibility.AccessibleTextSequence

public class AccessibleTextSequence extends Object
This class collects together key details of a span of text. It is used by implementors of the class `AccessibleExtendedText` in order to return the requested triplet of a `String`, and the start and end indices/offsets into a larger body of text that the `String` comes from.

See Also:
  - `AccessibleExtendedText`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`endIndex`
The end index of the text sequence.
`int`
`startIndex`
The start index of the text sequence.
`String`
`text`
The text.

## Constructor Summary

Constructors
Constructor
Description
`AccessibleTextSequence(int start, int end, String txt)`
Constructs an `AccessibleTextSequence` with the given parameters.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### startIndex

public int startIndex
The start index of the text sequence.

### endIndex

public int endIndex
The end index of the text sequence.

### text

public String text
The text.

## Constructor Details

### AccessibleTextSequence

public AccessibleTextSequence(int start, int end, String txt)
Constructs an `AccessibleTextSequence` with the given parameters.

Parameters:
  `start` - the beginning index of the span of text
  `end` - the ending index of the span of text
  `txt` - the `String` shared by this text span
Since:
  1.6